Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003417 [JEDI VCL] 00 JVCL Components minor always 2006-01-05 09:52 2006-01-23 11:15
Reporter elahn View Status public  
Assigned To elahn
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0003417: TJvLabel causes TComboBox to close up
Description When a TComboBox is DroppedDown, moving the mouse over TJvLabel causes it to close up.

This is due to the MouseCapture code in TJvCustomLabel.MouseEnter & MouseLeave. The attached patch file removes this code.

I haven't committed the changes, as I can't see why this code was put there in the first place. If there are no objections within the next week, I'll commit it.
Additional Information
Tags No tags attached.
Attached Files ? file icon JvLabel.pas.patch [^] (741 bytes) 2006-01-05 09:52

- Relationships

-  Notes
(0008338)
obones (administrator)
2006-01-08 09:02

I think it has to do with the Drag and Drop modes. Please investigate in this area.
(0008345)
elahn (developer)
2006-01-08 12:07
edited on: 2006-01-11 02:55

It was introduced in v1.77 along with the implementation of IJvHotTrack, which you committed for Dejoy Den (Mantis 0003107).

I don't know much about drag & drop, but if MouseCapture is needed for that then shouldn't it be set/unset in MouseDown/MouseUp, not in MouseEnter/MouseLeave?

From what I can see (in D7 on Win2k) removing this code actually improves the HotTrack handling when dragging occurs. With the code (current in CVS) if you drag the label and drop somewhere else on the form, then move the mouse back over the label, it doesn't hottrack. Removing the code (as per the patch) fixes this behaviour.

(0008430)
elahn (developer)
2006-01-23 11:15

Now in CVS.

- Issue History
Date Modified Username Field Change
2006-01-05 09:52 elahn New Issue
2006-01-05 09:52 elahn File Added: JvLabel.pas.patch
2006-01-08 09:02 obones Note Added: 0008338
2006-01-08 09:02 obones Status new => feedback
2006-01-08 12:07 elahn Note Added: 0008345
2006-01-11 02:55 elahn Note Edited: 0008345
2006-01-23 11:15 elahn Status feedback => resolved
2006-01-23 11:15 elahn Resolution open => fixed
2006-01-23 11:15 elahn Assigned To => elahn
2006-01-23 11:15 elahn Note Added: 0008430


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker